Loading...
Searching...
No Matches
BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_ Class Reference

`#include <BALL/NMR/empiricalHSShiftProcessor.h>`

## Public Types

typedef std::map< String, std::map< String, float > > | tabletype

## Enums and Constants

enum | HYPERSURFACE__TYPE { REAL__REAL , REAL__DISCRETE , DISCRETE__REAL , DISCRETE__DISCRETE , CHI__REAL , REAL__CHI , CHI__DISCRETE , DISCRETE__CHI , CHI__CHI , SINGLE__REAL , SINGLE__DISCRETE , SINGLE__CHI }
| ShiftHyperSurface_ (int verbosity=EmpiricalHSShiftProcessor::VERBOSITY_LEVEL_CRITICAL)
| ShiftHyperSurface_ (String filename, String, String firstproperty, String secondproperty, int verbosity=EmpiricalHSShiftProcessor::VERBOSITY_LEVEL_CRITICAL)
virtual | ~ShiftHyperSurface_ ()
float | operator() (PropertiesForShift_ &properties)
bool | isvalid ()
float | getTotalAverage ()

## Detailed Description

Definition at line 282 of file empiricalHSShiftProcessor.h.

## Member Typedef Documentation

## tabletype

typedef std::map<String, std::map<String, float> > BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::tabletype

Definition at line 285 of file empiricalHSShiftProcessor.h.

## Member Enumeration Documentation

## HYPERSURFACE__TYPE

enum BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::HYPERSURFACE__TYPE

Enumerator
REAL__REAL |
REAL__DISCRETE |
DISCRETE__REAL |
DISCRETE__DISCRETE |
CHI__REAL |
REAL__CHI |
CHI__DISCRETE |
DISCRETE__CHI |
CHI__CHI |
SINGLE__REAL |
SINGLE__DISCRETE |
SINGLE__CHI |

Definition at line 291 of file empiricalHSShiftProcessor.h.

## Constructor & Destructor Documentation

## ShiftHyperSurface_() [1/2]

BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::ShiftHyperSurface_ | ( | int | verbosity = EmpiricalHSShiftProcessor::VERBOSITY_LEVEL_CRITICAL | ) |

## ShiftHyperSurface_() [2/2]

BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::ShiftHyperSurface_ | ( | String | filename,
|  | String | ,
|  | String | firstproperty,
|  | String | secondproperty,
|  | int | verbosity = EmpiricalHSShiftProcessor::VERBOSITY_LEVEL_CRITICAL )

## ~ShiftHyperSurface_()

virtual BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::~ShiftHyperSurface_ | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getTotalAverage()

float BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::getTotalAverage | ( |  | ) |

inline

Definition at line 360 of file empiricalHSShiftProcessor.h.

## isvalid()

bool BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::isvalid | ( |  | ) |

inline

Method to check if the hypersurface is valid.

Returns
  bool, false if hypersurface is invalid.

Definition at line 357 of file empiricalHSShiftProcessor.h.

## operator()()

float BALL::EmpiricalHSShiftProcessor::ShiftHyperSurface_::operator() | ( | PropertiesForShift_ & | properties | ) |

Method to evaluate the empirical hypersurface given the properties of an atom. In case of a SINGLE__?? property type, the property type string works as first accessor. If only one factor is out of bounds {/tt FLOAT_VALUE_NA} or {/tt STRING_VALUE_NA}, we return the all-values average. (We tried to simulate the SHIFTX behaviour)

If one of the property values is set to { /tt FLOAT_VALUE_IGNORE}, zero is returned.